i2o_device_issue_claim
Prev | I2O message devices | Next

## Name

i2o_device_issue_claim — claim or release a device

## Synopsis

`int i2o_device_issue_claim (` | struct i2o_device * | dev,
| u32 | cmd,
| u32 | type`)`;

## Arguments

`dev`

  I2O device to claim or release

`cmd`

  claim or release command

`type`

  type of claim

## Description

Issue I2O UTIL_CLAIM or UTIL_RELEASE messages. The message to be sent is set by cmd. dev is the I2O device which should be claim or released and the type is the claim type (see the I2O spec).

Returs 0 on success or negative error code on failure.

Prev | Up | Next
i2o_device_claim_release | Home | i2o_device_release